<?php

namespace Drupal\rest_invalidate_cache\Plugin\rest\resource;

use Drupal\Core\Cache\Cache;
use Drupal\rest\Plugin\ResourceBase;
use Drupal\rest\ResourceResponse;

/**
 * @RestResource(
 *   id = "rest_invalidate_cache_invalidate",
 *   label = @Translation("Invalidate cache"),
 *   uri_paths = {
 *     "canonical" = "/invalidate_cache/{tags}"
 *   }
 * )
 */
class InvalidateCache extends ResourceBase {

  /**
   * @param string $tags
   *
   * @return \Drupal\rest\ResourceResponse
   */
  public function get(string $tags): ResourceResponse {
    Cache::invalidateTags(explode(',', $tags));

    return new ResourceResponse();
  }

}
